import { Animation } from 'mutate-animate';
interface SplittedImage {
    canvas: HTMLCanvasElement;
    x: number;
    y: number;
}
export declare function init(): void;
export declare function applyFragWith(canvas: HTMLCanvasElement, length?: number, time?: number, config?: any): {
    animation: Animation;
    onEnd: Promise<void>;
    canvas: HTMLCanvasElement;
};
export declare function withImage(image: CanvasImageSource, sx: number, sy: number, sw: number, sh: number): SplittedImage;
export {};
